package com.ruoyi.depart.service;

import java.util.List;
import com.ruoyi.depart.domain.SysDepart;

/**
 * 组织机构Service接口
 * 
 * @author ruoyi
 * @date 2023-08-14
 */
public interface ISysDepartService 
{
    /**
     * 查询组织机构
     * 
     * @param id 组织机构主键
     * @return 组织机构
     */
    public SysDepart selectSysDepartById(String id);

    /**
     * 查询组织机构列表
     * 
     * @param sysDepart 组织机构
     * @return 组织机构集合
     */
    public List<SysDepart> selectSysDepartList(SysDepart sysDepart);

    /**
     * 新增组织机构
     * 
     * @param sysDepart 组织机构
     * @return 结果
     */
    public int insertSysDepart(SysDepart sysDepart);

    /**
     * 修改组织机构
     * 
     * @param sysDepart 组织机构
     * @return 结果
     */
    public int updateSysDepart(SysDepart sysDepart);

    /**
     * 批量删除组织机构
     * 
     * @param ids 需要删除的组织机构主键集合
     * @return 结果
     */
    public int deleteSysDepartByIds(String[] ids);

    /**
     * 删除组织机构信息
     * 
     * @param id 组织机构主键
     * @return 结果
     */
    public int deleteSysDepartById(String id);

    /**
     * 根据部门名称查询部门信息
     *
     * @param userdept 部门名称
     * @return 结果
     */
    SysDepart selectDeptTypeByDeptName(String userdept);
}
